<div class="related-cases relations-block">

  <h3 class="title">%%Gerelateerde zaken%%</h3>

  <div class="table table-closed">
      <div class="table-header">
      	<div class="table-row">
      		<div class="table-cell">%%Type%%</div>
      		<div class="table-cell">%%Nr%%</div>
      		<div class="table-cell">%%Voortgang%%</div>
      		<div class="table-cell">%%Zaaktype%%</div>
      		<div class="table-cell">%%Extra informatie%%</div>
      		<div class="table-cell">%%Behandelaar%%</div>
      		<div class="table-cell">%%Resultaat%%</div>
      		<div class="table-cell"></div>
      	</div>
      </div>
      <div class="table-body" data-zs-sort>
      	<div class="table-row" data-ng-repeat="relation in relations" data-ng-draggable data-ng-drag-mimetype="zs/case-relation" data-zs-sortable="relation" data-ng-include="'/partials/case/relations/relation.html'" data-ng-drag-image="'/partials/case/relations/relation-drag.html'">
      	</div>
      </div>
  </div>

  <form name="newRelation" class="case-relation-add" data-ng-submit="newRelation.$valid&&relate(nw.case, nw.desc);nw=null;newRelation.$setPristine();">

    		<input type="text" data-ng-model="nw.case" data-zs-object-required="true" data-zs-spot-enlighter data-zs-spot-enlighter-restrict="'zaak'" data-zs-spot-enlighter-label="'%%Zaak%% ' + id + ': ' + zaaktype_node_id.titel" class="large" data-zs-placeholder="'%%Voeg een relatie toe%%'" />

  	<button data-ng-disabled="!newRelation.$valid" class="button button-secondary button-small">
  	   <i class="icon-font-awesome icon-plus"></i>
  	</button>
  </form>

</div>


<div data-zs-planned-case-list class="relations-block">

  <h3 class="title planned-cases-crud-title">%%Geplande zaken%%</h3>

  <div class="planned-case-list">
    <div class="planned-case-list-filter-options">
      
    </div>
    
    <div class="planned-case-list-filter-crud" data-zs-crud-template-parser="<[plannedCaseList.getCrudConfig()]>" data-zs-crud-data-provider="plannedCaseList.getPlannedCases()">
    </div>
    
  </div>
</div>

<div data-zs-pip-authorized-list data-case-id="caseId" class="relations-block">

  <h3 class="title pip-authorized-crud-title">
    Betrokkenen
  </h3>
  
  <div class="pip-authorized-list">
  
    <div class="pip-authorized-crud" data-zs-crud-template-parser data-config="pipAuthorizedList.getConfig()" data-zs-crud-data-provider="pipAuthorizedList.getAuthorizations()">
    
    </div>
    
    <div class="pip-authorized-add" data-zs-pip-authorized-add data-zs-popup="'/html/case/relations/relations.html#authorization-add-dialog'" data-ng-show="pipAuthorizedList.canAdd()">
       <button type="button" class="button button-secondary button-small" data-ng-click="openPopup()">
        Betrokkene toevoegen
       </button>
    </div>
  
  </div>


</div>

<div data-zs-case-relation-object-list class="related-objects relations-block">

  <h3 class="title">Gerelateerde objecten</h3>

  <div class="table table-closed" data-ng-show="caseRelationObjectList.getList().length>0">
    <div class="table-header">
      <div class="table-cell td200">Objecttype</div>
      <div class="table-cell">Naam</div>
    </div>
    <div class="table-body">
      <div class="table-row related-object-row" data-ng-repeat="item in caseRelationObjectList.getList()">
        <div class="table-cell">
          <i class="mdi mdi-hexagon icon-light-blue icon-<[caseRelationObjectList.getObjectTypeName(item)]> related-object-icon"></i>
            <[caseRelationObjectList.getObjectTypeLabel(item)]>
        </div>
        <div class="table-cell">
          <a class="related-object-label" data-ng-href="/object/<[item.related_object_id]>">
            <[caseRelationObjectList.getObjectLabel(item)]>
          </a>
        </div>
      </div>
    </div>
  </div>
  
  <div class="related-objects-add">
    <input type="text" data-ng-model="caseRelationObjectList.newRelatedObject" data-zs-spot-enlighter data-zs-spot-enlighter-restrict="'objects'" data-zs-spot-enlighter-label="label" class="large" data-zs-placeholder="'%%Relateer een object%%'" data-zs-spot-enlighter-select="caseRelationObjectList.handleObjectSelect($object)"/>
  </div>
  
  
</div>

<script type="text/ng-template" id="/partials/case/relations/relation.html">
  	<div class="table-cell field_level"><[relation.type]></div>
    <div class="table-cell field_me_id">             
        <a href="/zaak/<[relation.case.id]>">
		<span class="hide">%%Zaak%%</span> <[relation.case.id]></a>
	</div> 
	<div class="table-cell">
    <zs-progress-bar data-progress="<[relation.case.days_perc]>">
    </zs-progress-bar>
	</div>  
	<div class="table-cell"><[relation.case.zaaktype_node_id.titel]></div>
	<div class="table-cell"><[relation.case.onderwerp]></div>
	<div class="table-cell">
		<a href="/betrokkene/get/<[relation.case.behandelaar.subject_identifier]>" class="ezra_dialog" data-zs-title="%%Informatie over behandelaar%%"><[relation.case.behandelaar.naam]></a>
	</div>
	<div class="table-cell"><[relation.case.resultaat||'%%Onbekend%%']></div>
  	<div class="table-cell row-actions">
  		<button data-zs-popup="'/partials/case/relations/case-info.html'" data-zs-title="%%Informatie over zaak%%" data-ng-click="openPopup()"><i class="mdi mdi-information-outline"></i>
  		</button>
  		<button class="icon icon-del" data-zs-title="%%Verwijder deze relatie%%" data-ng-click="unrelate(relation)">
        <i class="icon-font-awesome icon-remove"></i>
  		</button>
		</div>
</script>

<script type="text/ng-template" id="/partials/case/relations/relation-drag.html">
	<div class="case-relation-drag">
		<div class="case-relation-drag-content">
			<[relation.case.id]>: <[relation.case.zaaktype_node_id.titel]>
		</div>
	</div>
</script>

<script type="text/ng-template" id="/partials/case/relations/case-info.html">
	<div data-zs-modal data-ng-init="title='%%Informatie over zaak%%'">
		<div data-ng-include="'/zaak/get_meta/' + relation.case.id">
		</div>
	</div>
</script>

<script type="text/ng-template" id="/html/case/relations/relations.html#planned-case-edit">
  
  <div data-zs-form-template-parser="<[plannedCaseEdit.getFormConfig()]>" data-zs-form-submit="plannedCaseEdit.handleFormSubmit($values)">
  </div>

</script>

<script type="text/ng-template" id="/html/case/relations/relations.html#planned-case-edit-dialog">
  
  <div data-zs-modal data-zs-modal-title="Zaakplanning bewerken">
    <div class="planned-case-dialog" data-zs-planned-case-edit data-is-create="false" data-planned-case="selectedItems[0]" data-submit="plannedCaseList.handlePlannedCaseEdit(selectedItems[0], $values)">
    </div>
  </div>

</script>

<script type="text/ng-template" id="/html/case/relations/relations.html#authorization-add-dialog">

  <div data-zs-modal data-zs-modal-title="Betrokkene toevoegen">
    <div class="authorization-dialog" data-zs-form-template-parser="<[pipAuthorizedForm.getFormConfig()]>" data-zs-form-submit="pipAuthorizedForm.handleSubmit($values)" data-zs-pip-authorized-form data-case-id="caseView.getCaseId()" data-submit="pipAuthorizedAdd.addAuthorization($authorization)">
    </div>
  </div>

</script>

<script type="text/ng-template" id="/html/case/relations/relations.html#authorization-edit-dialog">

  <div data-zs-modal data-zs-modal-title="Betrokkene toevoegen">
    <div class="authorization-dialog" data-zs-form-template-parser="<[pipAuthorizedForm.getFormConfig()]>" data-zs-form-submit="pipAuthorizedForm.handleSubmit($values)" data-zs-pip-authorized-form data-case-id="caseView.getCaseId()" data-submit="pipAuthorizedList.editAuthorization(selectedItems[0], $authorization)" data-authorization="selectedItems[0]">
    </div>
  </div>

</script>

